<?php



if ($this->is_id()) {

    # TÁBORI JELENTKEZÉS

    //jelentkező
    $apply = new camp_apply();
    $apply->set_capp_data_by_id($this->get_id());

    //felelős kapcsolattartó
    $res_cc_id = $sql->single_variable("SELECT cac_camp_contact_cc_id FROM camp_apply_contact WHERE cac_is_responsible = 1 AND cac_camp_apply_capp_id = " . $this->get_id() );
    $res_cc = new camp_contact();
    $res_cc->set_cc_data_by_id($res_cc_id);

    //további kapcst-ók

    $cc_ids = $sql->assoc_array("SELECT cac_camp_contact_cc_id FROM camp_apply_contact WHERE cac_is_responsible = 0 AND cac_camp_apply_capp_id = " . $this->get_id() );

    $contacts = array();
    foreach ($cc_ids as $cc) {
        $contact = new camp_contact();
        $contact->set_cc_data_by_id($cc['cac_camp_contact_cc_id']);
        $contacts[] = $contact;
    }






    $smarty->assign('apply',$apply);
    $smarty->assign('res_cc',$res_cc);
    $smarty->assign('contacts',$contacts);
    $smarty->display('apply.tpl');

}

else {


}





?>
